Jump to content

All Activity

This stream auto-updates

  1. Past hour
  2. Cad64

    AutoCAD for Penn Foster

    So you gave them your money a month ago, but they haven't sent you the course materials yet? Unbelievable. I have moved your post to the "Student Project Questions" section: https://www.cadtutor.net/forum/forum/60-student-project-questions/
  3. Would there be a simple macro to change this setting?
  4. BIGAL

    Scale a shape in one axis only

    Like Quick&Easy block, recsale X or Y then explode and purge temporary block name.
  5. The old fashioned mnu file supports calling a image menu so can have a tree style, dont know about palettes.
  6. BIGAL

    Connect lines connected with an arc

    3 arcs interesting again though the ssget CP using a small box will find the next arc so is it arc or line ? If so look again for next arc and repeat is arc or line. Will play later today it would be a automated thing do all will start with 1 arc. Then think about 2 or more.
  7. Today
  8. Actually, it was on 2 to begin with as a default. But I can't get "Zoom Window" in paper space to snap. The 0 is for snapping ... I know it may not be the correct method but it works for me.
  9. Yesterday
  10. I’ve seen a few Penn Foster project questions on here for the projects for the class Drafting and Engineering Mechanics. I was wondering if anyone has the project booklet for the course. I know during this time, everything’s delayed due to covid. The schools been taking 3-4 weeks just to get me my books. If anyone has any tips or knows anyone that has the project booklet for the projects that’d be great to send them my way so I can get started. Sorry if I posted this in the wrong thing. First time lol
  11. Jonathan Handojo

    Connect lines connected with an arc

    Oh, I should mention (and I forgot to do so in the OP) that this does tend to happen quite some often. But never on the polyline vertex where it's not collinear like I showed on the worst case scenario. The LISP code that I attached is able to catch this. @ronjonp I would suspect that all the lines on one layer will be below the other. Which would add a better purpose. However, I can't guarantee that it will always work this way. Also, you're right. They would do their shop drawings on their own layers. Afterwards, I select those curves and copy them
  12. ronjonp

    Connect lines connected with an arc

    @Jonathan Handojo Do these under/over rules need to be determined one pick at a time? Can they be determined by layers? I do irrigation piping and hops denote that the pipes are not connected and we control this by layer ... here's something to mull over if this could be the case for you too (defun c:hops (/ a b d e ee i p p1 p2 pts s x) ;; RJP » 2019-01-21 ;; Creates hops on a selection of intersecting polylines ;; Will not create hops on objects that share the same layer (setq a 100) (cond ((and (setq s (ssget ":L" '((0 . "lwpolyline")))) (> (sslength s
  13. It is a way to crop without cropping *per the op's post. Because you can mask or wipeout without the need to do any cropping in the first place (potentially, depending on the original document and the end result goal). There are other methods. But this one does work in Autocad. You can then plot or plot to PDF without the masks or wipeouts visible (if that makes sense). Some PDF's will not allow you to edit anything or have security protections. This allows you to edit, crop, etc... as needed without having to do anything to the PDF. Also all
  14. Having it in the tool panel goes beyond LISP. I suppose there is a way, but I'm not sure.
  15. You kinda beat me to it... Check this out: Outline Objects You can call LM:outline and the use its return value to do your stuff and iterate through each one. The function basically follows your approach (which was also my idea), and in a whole command instead. This way you won't have to worry about creating another rectangle and another temporary layer, and you will have a solid selection set containing the outlines of each geometry. P.S. I always hate having to hard-code layer-related codes because sometimes for programs to work (not in this case), you'll need to chec
  16. CADTutor

    Help to modify LISP

    @mhupp There is no restriction on your account. I just sent you a message. Let me know if you recieve it.
  17. mhupp

    Help to modify LISP

    Hay CadTutor maybe you can help me. My account was suspended about 1 year ago for Advertising. I think the last post i did before this happened was to a Youtube video about how to speed up excel macros. I didn't know the guy starts to pitch his excel training course at one point in the video. (maybe this is why i got suspended i dont know) All my posts got deleted all the way back to 2011 when i signed up. I emailed about 3 times and got a was allowed to post again. but i think some of my settings are still locked out. like i cant direct message anyone still to this day. can you please look o
  18. mhupp

    Help to modify LISP

    You cant edit/modify VLX files they are encrypted. Please explain what you want to do and maybe someone can make a custom lisp. maybe this? I know its not automatic but gives us a starting location. Handle number Don't know what you mean by that? Do you want the selection to limit to the layer?
  19. CADTutor

    Help to modify LISP

    @Nik814 You'll likely get a better response if you post your code in a code block within the message rather than in a .rar archive. I imagine many won't even be able to open it.
  20. Quik&Easy

    Scale a shape in one axis only

    Thank you, I'll explore that option. I haven't used blocks so am not fluent with them but will try that idea.
  21. Tharwat

    Highlight Select Similar Text

    You're welcome.
  22. rcb007

    Highlight Select Similar Text

    Thank you Tharwat! Thats what i was trying to get it to do!
  23. guran

    Scale a shape in one axis only

    Make a block of it. Then you can scale it in X or Y direction in properties.
  24. Removing the "_X" will do the trick more here (defun c:simtxt (/ lst Hltext text i) (if (setq lst nil HlText (ssadd) text (ssget (list '(0 . "*TEXT") ;this should do the same as '(0 . "MTEXT,TEXT") '(-4 . "<NOT") '(1 . "") '(-4 . "NOT>") (cons 410 (Getvar 'ctab)) ) ) ) (progn (repeat (setq i (sslength text)) (if (setq f (Assoc (setq str
  25. Tharwat

    Highlight Select Similar Text

    Hi, Be mindful is that the formatted Mtexts are not considered with this routine. (defun c:Test (/ int sel ent str) ;; Tharwat - Date: 5.May.2021 ;; ;; Select similar text contents based on selection. ;; (and (princ "\nSelect texts to select all similar text contents : ") (setq str "" int -1 sel (ssget '((0 . "*TEXT"))) ) (while (setq int (1+ int) ent (ssname sel int)) (setq str (strcat str (cdr (assoc 1 (entget ent))) ",")) ) (sssetfirst nil (ssget "_x" (list '(0 . "*TEXT") (cons 1 str) (cons 410 (
  26. I found this routine which will select all similar mtexts and texts within a drawing at one time. I am trying to figure out how to change it from selecting all objects within the drawing, to where the user would select a text, then it would highlight select all in the drawing. Any help would be great. (defun c:simtxt (/ lst Hltext text i) (if (setq lst nil HlText (ssadd) text (ssget "_x" (list '(0 . "MTEXT,TEXT") '(-4 . "<NOT") '(1 . "")
  27. Quik&Easy

    Scale a shape in one axis only

    I'd like to stretch/shorten an egg shape along the X axis only. The only work around I've found is to isolate the desired geometry and import it in to a new drawing, manually figuring the required X axis scale addition/reduction then completing the import. This in not an ellipse but an organic shape simplified to just a few entities. Stretch just moves the object over. I've searched the menu options in Bricscad relating to scale command, as well as searching the forums on the Bricscad site without finding an answer so thought I'd ask here. I'm using Classic Version 19. test egg stretc
  28. Show me some love and hit the hearts to the right ------->
  1. Load more activity
  • Newsletter

    Want to keep up to date with all our latest news and information?
    Sign Up
×
×
  • Create New...